@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@400;600;700;800;900&display=swap');

:root {
    --white: #ffffff;
    --body: #545d6d;
    --dark: #202631;
    --border-color: rgba(0, 0, 0, 0.10);
    --border-width: 1px;
    --border-radius: 30px;
}

/* reset & helpers */
body {
    font-family: "Barlow", sans-serif;
    line-height: 1.8;
    color: var(--body);
    background-color: #EEF8FF;
}

h1,h2,h3,h4,h5,h6 {
    font-weight: 800;
    color: var(--dark);
}

a {
    color: var(--body);
    text-decoration: none;
    transition: all 0.4s ease;
    font-weight: 700;
}

a:hover {
    color: var(--dark);
}

img {
    width: 100%;
}

section {
    padding-top: 170px;
    padding-bottom: 170px;
}

/* navbar */
.navbar {
    position: sticky;
    width: 100%;
    padding-top: 16px;
    padding-bottom: 16px;
    z-index: 9999;
    background-color: var(--dark);

}

.navbar-brand {
    font-size: 28px;
}

.navbar .navbar-nav .nav-link {
    text-transform: uppercase;
    font-size: 28px;
}

.navbar-nav {
    margin-left: auto;
}

.social-links a {
    width: 36px;
    height: 36px;
    background-color: var(--white);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 100px;
    font-size: 18px;
    margin-left: 5px;
}


@media (max-width: 992px) {
    .navbar {
        background-color: var(--dark);
    }
}

/* hero */
#hero {
    background: url("../img/coffeeme.jpg");
    min-height: 100vh;
    background-position: center;
    background-size: cover;
}

#hero h1,
#hero p {
    color: var(--white);
}

#hero h1 {
    font-weight: 900;
}

#hero p {
    font-size: 18px;
    max-width: 450px;
}


/* btn */
.btn {
    padding: 20px 44px;
    border-width: 2px;
    border-radius: 100px;
    font-size: 14px;
    font-weight: 700;
    text-transform: uppercase;
}




/* Service */
.service {
    border: var(--border-width) solid var(--border-color);
    border-radius: var(--border-radius);
    display: flex;
    padding: 32px;
}

.service .icon {
    width: 100px;
    height: 100px;
    background-color: var(--dark);
    display: flex;
    flex: none;
    align-items: center;
    justify-content: center;
    font-size: 34px;
    color: white;
    border-radius: var(--border-radius);
    margin-right: 16px;
}

.link-arrow {
    text-transform: uppercase;
    display: flex;
    align-items: center;
}

.link-arrow i {
    transition: all 0.4s ease;
}

.link-arrow:hover i {
    transform: translate(5px, -5px);
}

.link-arrow.link-dark {
    color: var(--body);
}
.link-arrow.link-dark:hover {
    color: white;
}



/* about */
#about img {
    border-radius: var(--border-radius);
}



/* contact */
#contact form {
    padding: 32px;
    border: var(--border-width) solid var(--border-color);
    border-radius: var(--border-radius);
}

#contact form .form-control {
    background-color: #f8f8f8;
    border: 2px solid var(--border-color);
    border-radius: var(--border-radius);
    padding-left: 18px;
}

#contact form input.form-control {
    height: 56px;
}


/* footer */
.footer-top {
    padding-bottom: 30px;
    border-bottom: var(--border-width) solid var(--border-color);
}

.footer-bottom {
    padding-top: 30px;
    padding-bottom: 30px;
}

footer .social-links a {
    border: var(--border-width) solid var(--border-color);
}
